Commit fcf646fd authored by Laurent Montel's avatar Laurent Montel 😁

Make it compile when we have kf5 < 5.57 (FOREACH)

parent 443e94d8
......@@ -53,7 +53,11 @@ if (${Qt5Widgets_VERSION} STRGREATER "5.13")
else()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()
add_definitions(-DQT_NO_FOREACH)
if (${KF5Config_VERSION} STRGREATER "5.56.0")
add_definitions(-DQT_NO_FOREACH)
MESSAGE(STATUS "compile without foreach")
endif()
########### Targets ###########
add_subdirectory(src)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment